import Vue from "vue";
import * as common from "../common";
export declare class BooleanEditor extends Vue {
    schema: common.ArraySchema;
    initialValue?: boolean;
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    value?: boolean;
    buttonGroupStyle: any;
    beforeMount(): void;
    readonly isReadOnly: any;
    readonly hasDeleteButtonFunction: boolean;
    readonly titleToShow: any;
    onChange(e: {
        target: {
            checked: boolean;
        };
    }): void;
    toggleOptional(): void;
}
