import Vue from "vue";
import * as common from "../common";
export declare class NumberEditor extends Vue {
    schema: common.NumberSchema;
    initialValue?: number;
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    value?: number;
    errorMessage?: string;
    buttonGroupStyle: any;
    onChange(e: {
        target: {
            value: string;
        };
    }): void;
    beforeMount(): void;
    readonly useInput: any;
    readonly useSelect: boolean;
    readonly isReadOnly: any;
    readonly hasDeleteButtonFunction: boolean;
    readonly titleToShow: any;
    readonly options: any;
    updateSelection(value: number): void;
    toggleOptional(): void;
    private validate();
}
